//===========================================================================
//
// Name:		fawn_c.c
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Author:		Nuclear Tes (Nucleartes@hotmail.com)
// Last update:		8/24/01
//===========================================================================
#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME					"Fawn"
	CHARACTERISTIC_GENDER					"female"
	CHARACTERISTIC_ATTACK_SKILL				0.8
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/fawn_w.c"
	CHARACTERISTIC_AIM_SKILL				0.3
	CHARACTERISTIC_AIM_ACCURACY				0.3
	CHARACTERISTIC_VIEW_FACTOR				0.5
	CHARACTERISTIC_VIEW_MAXCHANGE				180
	CHARACTERISTIC_REACTIONTIME				0.2

	CHARACTERISTIC_CHAT_FILE				"bots/fawn_t.c"
	CHARACTERISTIC_CHAT_NAME				"fawn"
	CHARACTERISTIC_CHAT_CPM					400
	CHARACTERISTIC_CHAT_INSULT				0.7
	CHARACTERISTIC_CHAT_MISC				0.7
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.8
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.8
	CHARACTERISTIC_CHAT_KILL				0.8
	CHARACTERISTIC_CHAT_DEATH				0.8
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.7
	CHARACTERISTIC_CHAT_HITTALKING				0.4
	CHARACTERISTIC_CHAT_HITNODEATH				0.4
	CHARACTERISTIC_CHAT_HITNOKILL				0.4
	CHARACTERISTIC_CHAT_RANDOM				0.7
	CHARACTERISTIC_CHAT_REPLY				0.5

	CHARACTERISTIC_CROUCHER					0.3
	CHARACTERISTIC_JUMPER					1.0
	CHARACTERISTIC_WEAPONJUMPING				0.6
	CHARACTERISTIC_GRAPPLE_USER				0.6

	CHARACTERISTIC_ITEMWEIGHTS				"bots/fawn_i.c"
	CHARACTERISTIC_AGGRESSION				0.8
	CHARACTERISTIC_SELFPRESERVATION				1.0
	CHARACTERISTIC_VENGEFULNESS				1.0
	CHARACTERISTIC_CAMPER					0.4

	CHARACTERISTIC_EASY_FRAGGER				0.6
	CHARACTERISTIC_ALERTNESS				1.0

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.8
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER		0.8
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING			0.6
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN			0.6
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.8
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER			1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			1.0
	CHARACTERISTIC_AIM_SKILL_BFG10K				1.0

	CHARACTERISTIC_FIRETHROTTLE				0.8
}

skill 4
{
	CHARACTERISTIC_NAME					"Fawn"
	CHARACTERISTIC_GENDER					"female"
	CHARACTERISTIC_ATTACK_SKILL				0.9
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/fawn_w.c"
	CHARACTERISTIC_AIM_SKILL				0.7
	CHARACTERISTIC_AIM_ACCURACY				0.7
	CHARACTERISTIC_VIEW_FACTOR				0.6
	CHARACTERISTIC_VIEW_MAXCHANGE				250
	CHARACTERISTIC_REACTIONTIME				0.1

	CHARACTERISTIC_CHAT_FILE				"bots/fawn_t.c"
	CHARACTERISTIC_CHAT_NAME				"fawn"
	CHARACTERISTIC_CHAT_CPM					400
	CHARACTERISTIC_CHAT_INSULT				0.5
	CHARACTERISTIC_CHAT_MISC				0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.8
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.8
	CHARACTERISTIC_CHAT_KILL				0.6
	CHARACTERISTIC_CHAT_DEATH				0.8
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.2
	CHARACTERISTIC_CHAT_HITNODEATH				0.2
	CHARACTERISTIC_CHAT_HITNOKILL				0.2
	CHARACTERISTIC_CHAT_RANDOM				0.5
	CHARACTERISTIC_CHAT_REPLY				0.5

	CHARACTERISTIC_CROUCHER					0.3
	CHARACTERISTIC_JUMPER					1.0
	CHARACTERISTIC_WEAPONJUMPING				0.8
	CHARACTERISTIC_GRAPPLE_USER				0.6

	CHARACTERISTIC_ITEMWEIGHTS				"bots/fawn_i.c"
	CHARACTERISTIC_AGGRESSION				0.9
	CHARACTERISTIC_SELFPRESERVATION				1.0
	CHARACTERISTIC_VENGEFULNESS				1.0
	CHARACTERISTIC_CAMPER					0.4

	CHARACTERISTIC_EASY_FRAGGER				0.8
	CHARACTERISTIC_ALERTNESS				1.0

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.9
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER		0.9
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING			0.7
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.9
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER			1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			1.0
	CHARACTERISTIC_AIM_SKILL_BFG10K				1.0

	CHARACTERISTIC_FIRETHROTTLE				0.8
}

skill 5
{
	CHARACTERISTIC_NAME					"Fawn"
	CHARACTERISTIC_GENDER					"female"
	CHARACTERISTIC_ATTACK_SKILL				1.0
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/fawn_w.c"
	CHARACTERISTIC_AIM_SKILL				1.0
	CHARACTERISTIC_AIM_ACCURACY				1.0
	CHARACTERISTIC_VIEW_FACTOR				1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				360
	CHARACTERISTIC_REACTIONTIME				0.0

	CHARACTERISTIC_CHAT_FILE				"bots/fawn_t.c"
	CHARACTERISTIC_CHAT_NAME				"fawn"
	CHARACTERISTIC_CHAT_CPM					400
	CHARACTERISTIC_CHAT_INSULT				0.4
	CHARACTERISTIC_CHAT_MISC				0.4
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.7
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.7
	CHARACTERISTIC_CHAT_KILL				0.5
	CHARACTERISTIC_CHAT_DEATH				0.7
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.4
	CHARACTERISTIC_CHAT_HITTALKING				0.1
	CHARACTERISTIC_CHAT_HITNODEATH				0.1
	CHARACTERISTIC_CHAT_HITNOKILL				0.1
	CHARACTERISTIC_CHAT_RANDOM				0.4
	CHARACTERISTIC_CHAT_REPLY				0.4

	CHARACTERISTIC_CROUCHER					0.3
	CHARACTERISTIC_JUMPER					1.0
	CHARACTERISTIC_WEAPONJUMPING				1.0
	CHARACTERISTIC_GRAPPLE_USER				0.6

	CHARACTERISTIC_ITEMWEIGHTS				"bots/fawn_i.c"
	CHARACTERISTIC_AGGRESSION				1.0
	CHARACTERISTIC_SELFPRESERVATION				1.0
	CHARACTERISTIC_VENGEFULNESS				1.0
	CHARACTERISTIC_CAMPER					0.4

	CHARACTERISTIC_EASY_FRAGGER				1.0
	CHARACTERISTIC_ALERTNESS				1.0

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER		1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING			1.0
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER			1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			1.0
	CHARACTERISTIC_AIM_SKILL_BFG10K				1.0

	CHARACTERISTIC_FIRETHROTTLE				1.0
}