//===========================================================================
//
// Name:		fawn_t.c
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Author:		Nuclear Tes (Nucleartes@hotmail.com)
// Last update:		8/29/01
//===========================================================================
chat "fawn"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{

		"Where am I?";
		"Hello?";
		"Hey, where did the forest go?";
		"What kind of place is this?";
		"I'm Fawn, who are you?";
		"~This place gives me the creeps.";
		"Please, not again...";
		"Hey, who are you, where am I?";

		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{

		"I'm going back to the forest.";
		"I don't like this place at all, I'm gone.";
		"I'm leaving. I miss the trees and the squirrels so much.";
		"I found a way to escape from this creepy place, so bye now!";
		"I'm going home now.";
		"Bye bye.";
		"I'm going home, if you ~don't mind.";

		
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{                
		"I feel something bad is going to happen now.";
		"I have a bad feeling about this.";
		"What am I supposed to do here?";
		"Could anyone tell me what's going on?";
		"I think I really don't wanna know what's going to happen next.";
		"I hear no birds singing. ~This must be a bad sign.";
		"What a strange magic wand am I holding now.";

		// 0 = bot name
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{

		"I think it went not too bad.";
		"~This was a very strange experience for me.";
		"I'm happy it's all over now.";
		"Hey, I'm still alive.";
		"Can I get my magic wand back now?";
		"Can I go back to the forest now?";
		
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Die, die, swamp monsters, DIE!!!! Oh, wait a minute, it's over.";
		"Hey, I win!";
		"I think I'm getting used to this place.";
		"But I still miss the forest.";
		"I still miss the cute little squirrels.";
		"I don't want to win, I wanna go home!!!";	
		"And now I only wanna go home.";

		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Hey, it stopped... it stopped!";
		"I miss the forest!";
		"I'm not a fighter! I'm just an innocent wood elf!";
		"Even the swamp is a better place to be!";
		"I'm still a bit shaky.";
		"I wanna go home!";
		"And you call this a game?!";

		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"DIE, swamp monster!!!!!";
		"~You must pay for this! DIE!!!";
		"Swamp monsters had more honor than you!";
		"Hey, what's happening?!";
		"~That's not fair!"; 
		"Hey, I just wanted to say something nice!";
		"~What's going on? ~What is the meaning of this?";

		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{

		"And now you are making me very angry!!!!!!";
		"Stop that! NO, die die die!!!!!!";
		"Is there a war going on here?";
		"Aaaarg, and now you must pay!!";
		"Why are you shooting an innocent wood elf?";
		"If this is about the swamp monsters, I'm not in the elf army.";
		"Why are you doing this to me?";
		
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{

		"Die die die!!!! DIE!!"; 
		"I want to see you splatter against the wall!!";
		"All the swamp monsters must die!!!";
		"~Don't run away now. ~You're not afraid of an innocent wood elf, are you?";
		"Did I hurt you?";
		"Crawl back to the swamp!!! No, DIEEE!";
		"Excuse me, do you know how I can go back to the forest?";

		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"AAAAHRG!!! I will get you for this!!!";
		"I'm just an innocent wood elf, how could you?!";
		"DIEEEEEEEEEEEEEEE!!!";
		"I wanna go back to the forest!";
		"I can't take it anymore!! BOOHOOO!";
		"Booohoo, this is not fair!! I wanna go home!";

		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"The Arena Masters took my magic flying powder!";
		"I wish I was a bird.";
		"It may surprise you, but wood elfs don't have wings.";
		"I wanna die...";
		"May I go back to the forest, please.....?";
		"Which SWAMP MONSTER pushed me?!";

		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{

		"Aaaaaah, it hurts, it hurts!!!";
		"~This reminds me of that devastating forest fire a few years ago.";
		"I'm burning! I want my magic wand back!!!!";
		"There never was any lava in the forest!!!";
		"NOOOOOO!!!";
		"I'm burning. AAAAH!!!";
		"AAAAAHRG";

		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"I hate the swamp!";
		"Aaah, a swamp monster is pulling me down into the swamp!";
		"What do I hate more than the swamp? A toxic swamp!!!";
		"The Arena Masters took my life potions too!";
		"I'm paralysed by this stuff! Help me....";
		"AAAARGHAAAAAA!!!";
		
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"I can't swiiiarghblubblub....";
		"Help me, I'm drowning, I'm drowning!";
		"Help, I can't find the surface!";
		"The lakes in the forest weren't that deep!";
		"Aarglupglup...";
	
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"Boohoo, I can't believe I did that!";
		"I don't want this anymore!";
		"I don't have the strenght for this!";
		"I curse you, Arena Masters!! I ~will annihilate you!!";
		"I don't wanna die, I wanna go to the forest!";

		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{	
		"I miss my home with all those lovely fire flyes and cute little rabbits. THEY didn't beat elves!";
		"AAAAAAAAAAAAAARRRGGGGGGHHHHH, now you gonna DIE!!!!!!!!";
		"Stop hurting me, stop hurting me, please.";
		"I'll bash your brains with your own ~gauntlet!!!";
		"Boohoo, why are you hurting me?";
		"Die, swamp monster, snot crawler!!!!";

		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"~That's ~one of my favorite weapons, boohoo!";
		"~You must die!!!";
		"~You are a thread to the elf forest. ~You must die!!!!";
		"Do you like shooting innocent elf girls?";
		"~Don't you love me? I could use my magic power to give you anything you want.";
		"DIE, you irritating insect. I wanna splatter you with my bare hands!!"; 
		"Die, die, die, DIE!!";

		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"~You'll regret you ever touched that weapon!";
		"~You're not even worth to be called a swamp monster!";
		"I hope you blow yourself up with that thing! I wanna see you splatter all over the place!!!";
		"~You don't need such a strong weapon to kill an innocent elf!";
		"What did I do wrong? Why all this pain and sorrow?";
		"I never did anything wrong...";
		"I hope you will die in real pain with that BFG of yours!!!";
		"~That's not very kind of you.";

		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"I'll KILL you, I will DISMEMBER you, I will RIP OUT your eyes!!!";
		"What a great warrior, you just killed an innocent wood elf!";
		"If I had my magic wand, I would turn you into a frog!!!";
		"Swamp monster!";
		"Snot crawler!";
		"Booohooo!";
		"How could you hurt an innocent wood elf like that?!";
		"~You will DIE for this!!";

		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"Hey, you fragged me!";
		"How did you do that?";
		"I wanna learn that move too!";
		"Interesting move for a swamp monster.";
		"I thought you would love elves.";
		"~You must become ~one with nature.";
		
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with railgun
	{
		"Hey, I burned a hole in your brain.";
		"I didn't knew wood elves could aim so well.";
		"I'm sorry I hit you, but I was just practicing.";
		"I practiced with my magic wand.";
		"Splat, now you're dead! Hahahaha!!";
		"I'm sorry!";
		"Splat!!!";
		"Hahahahahaha!";
		"Die, die, die!!!!";

		// 0 = enemy name
	} //end type

	type "kill_bfg" //initiated when the bot kills someone with BFG
	{
		"Hahahaha, I blew your head off!!!!!"; 
		"Oh no, I'm a monster! How could I do that?!";
		"What a mess! Did I do that?";
		"Hahaha, you're all over the place!";
		"BAM, BAM, BAM, hahahaha!";
		"BAM, BAM, BAM hahahaha, BAM, BAM!!";
		"Dieeeeeee!!!! BAM, BAM!!!";	
		
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"I'm sorry, I didn't want to humiliate you.";
		"Since when did I become a strong wood elf?";
		"Bash, bash, hahahaha!!!"
		"Hahahaha, I humiliated you!!!";
		"~You have been humiliated by an innocent wood elf!!";
		"EEEK, an ugly swamp monster! Bash, bash, bash!!";

		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"Splat, I telefragged you!!!!!";
		"Aaaaah, swamp monsters are even uglier from the inside!";
		"EEK, this is gross!! I wanna go back to the forest!";
		"I wonder if a squirrel could telefrag you too.";
		"I really like to teleport around like that!!!";
		"~You're telefragged by a little elf";
		"I'm so sorry.";

		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self with a weapon of craters
	{
		"How could that happen?";
		"I don't belong here, I wanna go home!";	
		"What happened?";
		"I'm no warrior! I can't fight! I only frag myself!";
		"Bohooohoo!!!";  
		"Boohoo!! I can't live without my magic!";

		// 0 = enemy name
	} //end type


	type "kill_insult" //insult initiated when the bot killed someone
	{
	
		"~You're fragged by a wood elf!";
		"~You look like a swamp monster!";
		"Even without magic I can beat you!"; 
		"Now I can't turn you in a frog anymore.";
		"~You deserve to die !!!!!!";
		"Bleed, bleed!!!!";
		"Swamp monster!";
		"Snot crawler!";

		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"I'm sorry, but you try to frag me too.";
		"Sorry, but the Arena Masters took my life potions.";
		"It was more difficult to defeat you than the swamp monster army.";
		"I like you, maybe we can go to the forest together.";
		"Would you like to see the forest? I can show it to you.";
		"~Don't be angry now. I intended no harm.";
		"I'm sorry I was so angry with you.";
		"~You died in honor.";
	
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"~There's not enough slime for you to hide in, swamp monster.";
		"When I'm done with you, ", 0, ", there is no magic spell which could possibly help you."; 
		"~There is snot dripping out of your nose, ", 0, ".";
		"~Don't run away!! Face Fawn the wood elf and die!!!";
		"I can find you anywere, you're leaving a slime trail behind!";
		"All the enemies of the wood elves will die.";

		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Could somebody tell me why I'm here?";
		"Could somebody help me find my way back home?";
		"I wanna go back to the forest.";
		"Does this place give you the creeps too?";
		"The last thing I can remember from home was that the swamp monster army attacked us.";
		"Do you miss your home too, ", 0, "?";
		"I'm lonely, I miss my friends from the forest.";

		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

} //end fawn chat
